Bug 8870 - Typo in automake (fixed in automake CVS)
Typo in automake (fixed in automake CVS)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: automake (Show other bugs)
6.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-25 16:38 EST by Kayvan Sylvan
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 22:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kayvan Sylvan 2000-01-25 16:38:00 EST
The automake-1.4-5 RPM in Redhat-6.1 has a typo that makes it unusable.

The fix is this:
--- automake~   Tue Jan 25 13:27:06 2000
+++ automake    Tue Jan 25 13:26:52 2000
@@ -2367,7 +2367,7 @@
        $output_rules .= "\t  d=\$(srcdir); \\\n";
     }
     $output_rules .= ("\t  if test -d \$\$d/\$\$file; then \\\n"
-                     . "\t    cp -pr \$\$/\$\$file \$(distdir)/\$\$file;
\\\n"
+                     . "\t    cp -pr \$\$d/\$\$file \$(distdir)/\$\$file;
\\\n"
                      . "\t  else \\\n"
                      . "\t    test -f \$(distdir)/\$\$file \\\n"
                      . "\t    || ln \$\$d/\$\$file \$(distdir)/\$\$file 2>
/dev/null \\\n"

Also look at the automake CVS Web:

http://sourceware.cygnus.com/cgi-bin/cvsweb.cgi/automake/automake.in.diff?r1=1.649&r2=1.650&cvsroot=automake
Comment 1 Nalin Dahyabhai 2000-02-04 22:55:59 EST
Thanks for the heads-up.  This will be fixed in automake-1.4-6 (or later) in Raw
Hide.

Note You need to log in before you can comment on or make changes to this bug.